List LQA conversations
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/lqas \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/lqas"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/jobs/{jobUid}/conversations/lqas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"conversations": [
{
"comments": [
{
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"id": "<string>",
"mentions": [
{
"mentionableGroup": {
"groupName": "<string>",
"groupReference": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
},
"tag": "<string>",
"uidReference": {
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
},
"userReferences": [
{
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
}
]
}
],
"text": "<string>"
}
],
"createdBy": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"dateCreated": "2023-11-07T05:31:56Z",
"dateEdited": "2023-11-07T05:31:56Z",
"dateModified": "2023-11-07T05:31:56Z",
"deleted": true,
"id": "<string>",
"lqaDescription": "<string>",
"references": {
"lqa": [
{
"errorCategoryId": 2,
"severityId": 2,
"origin": "HUMAN",
"originator": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"user": {
"id": "<string>"
}
}
],
"segmentId": "<string>",
"transGroupId": 1,
"commentedText": "<string>",
"conversationTitle": "<string>",
"conversationTitleOffset": 1,
"correlation": {
"role": "PARENT",
"uid": "<string>"
},
"jobPartUid": "<string>",
"taskId": "<string>"
},
"status": {
"by": {
"unavailable": true,
"email": "<string>",
"firstName": "<string>",
"id": "<string>",
"jobRoles": [
{
"workflowStep": {
"abbreviation": "<string>",
"id": 123,
"name": "<string>",
"workflowLevel": 123,
"workflowStep": {
"id": "<string>",
"lqaEnabled": true,
"name": "<string>",
"order": 123,
"uid": "<string>"
}
}
}
],
"lastName": "<string>",
"uid": "<string>",
"userName": "<string>"
},
"date": "2023-11-07T05:31:56Z"
},
"type": "<string>"
}
]
}Conversations
List LQA conversations
Available to internal, guest and linguist users; project managers require the EDIT right on the job, other roles require SHOW, and guests must also match the project client and have the right to view other users’ projects.
GET
/
api2
/
v1
/
jobs
/
{jobUid}
/
conversations
/
lqas
List LQA conversations
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the job
Query Parameters
Include conversations flagged for deletion
Return only conversations created after this date, in ISO 8601 UTC format (e.g. 2024-07-21T10:15:27.819Z)
Response
OK
List of LQA conversations
Show child attributes
Show child attributes
Was this page helpful?
⌘I